# Trait bitflags::__core::prelude::v1::Fn [−] [src]

    pub trait Fn<Args>: FnMut<Args> {
        extern "rust-call" fn call(&self, args: Args) -> Self::Output;
    }

A version of the call operator that takes an immutable receiver.

## Required Methods

### `extern "rust-call" fn call(&self, args: Args) -> Self::Output`

Unstable (`fn_traits`)

This is called when the call operator is used.

## Implementors

- `impl<'a, A, F> Fn for &'a F where F: Fn<A> + ?Sized`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)